import { writable } from 'svelte/store';

/**
 * A terrible hack to communicate the page title
 * between the project +layout and project +page.
 *
 * The page title won't update between the main
 * projects page and a specific project page unless
 * the <title> is in the project +page, and not the +layout.
 */
export const titleStore = writable("Projects");
