import type { PageLoad } from './$types';
import { markdownToProject } from '$lib/utils';

export const load = (async ({ params }) => {
    // Get current project based on slug
    const rawProj = await import(`../${params.slug}.md`);
    const project = markdownToProject(rawProj.metadata, rawProj.default, params.slug);
    return { project };
}) satisfies PageLoad;
