---
name: "Angular Shopper"
dateOfCompletion: "January 29, 2018"
summary: "A web app made in JavaScript using the AngularJS framework that allows you to monitor how much you're saving on rollback in shops like Asda."

languages: ["JavaScript"]
frameworks: ["AngularJS"]

screenshots: 2

demoUrl: "https://demos.matt-barnes.co.uk/angular-shopper/"
sourceUrl: "https://git.matt-barnes.co.uk/mb2g17/AngularShopper"
---

I got the idea for this application through shopping at Asda. When you use the self-checkout system, sometimes rollback prices will not register on the systems, and they will end up charging you the normal price of things that were on special offers. I had trouble keeping track of everything that was on rollback and for how much, so I decided to make an application for that purpose to bring next time I shop.

This app is as simple as can be: you can add, edit or delete shop items. There are 2 default items there already so that you can get used to how the application works. To add an item, click the 'Add' button below the table. To edit or delete an item, click on its corresponding row on the table. This app is also designed for phones and tablets so that you can take it on-the-go during shopping trips.
