---
name: "Notes Network Archive"
dateOfCompletion: "June 15, 2021"
summary: "An archive of the Notes Network: an extensive collection of notes used by hundreds of my peers, of which is free to use, study, share, and improve."

languages: ["HTML"]

screenshots: 2

demoUrl: "https://demos.matt-barnes.co.uk/notes-network-archive/"
sourceUrl: "https://git.matt-barnes.co.uk/mb2g17/NotesNetworkArchive"

starred: true
---

At University, the lectures and slides are not always the best resources to learn from. The lecturers may use confusing language, and the slides may be unclear or unintuitive. Often times, lecturers over-estimate the level of students and fail to make explanations clear. In my opinion, students learn best with language used by their own: other students. This is what the Notes Network hopes to achieve!

The Notes Network is a collection of notes documents for each module, written by students, for students. It aims to put content in an easily-digestible, intuitive, and clear format, as well as sprinkling a touch of humour, to make things easy to learn and engaging.

The Notes Network gives students the freedom to:
- View the notes, free of charge
- Download the notes for their own offline use
- Distribute the notes to anyone they like
- Add improvements to existing notes, or add new notes documents covering different modules

Initially, my notes were simply a result of my revision technique, and the Notes Network was only supposed to be a handful of notes to be used among my friends. However, they shared the notes to other friends, and they shared them with other people, and so on. Eventually, loads of people in the course were using them, even some of which were in the years below me, reading my older notes. I kept writing notes for all my modules, until eventually, I had my entire degree in note form. Other students even contributed their own notes to the Notes Network!

This project is an archive of the Notes Network, where I have exported each document to HTML and CSS format for performance. To see the original Notes Network on Google Docs, find the link on the repository README (which can be found in the 'Source' link).
