---
name: "Nubble!"
dateOfCompletion: "July 19, 2016"
summary: "A C# utility that has the user input 4 numbers and will output every number that one can make with those 4 numbers. Inspired from the game 'Nubble!'."

languages: ["C#"]

screenshots: 2

releaseUrl: "https://git.matt-barnes.co.uk/mb2g17/NubbleBot/releases"
sourceUrl: "https://git.matt-barnes.co.uk/mb2g17/NubbleBot"
---

I made this utility in C#. Everyone in my maths class are big fans of a team-based maths game named 'Nubble!' in which you are given 4 single-digit integers each go and your team has to make a bigger number less than 100 from those numbers. While the class was playing Nubble!, the idea of a program that calculated the best moves slid into my mind. The more we played, the larger the idea grew. Every turn, the idea grew a new algorithm or feature and I developed an itch to develop this program. After that maths class, I had 2 free periods and a lunch break to spare. In that time, I created a prototype of the idea. It was written in Java and was only console-based, but was fully functional. When I got home, I re-wrote it in C# with a nice looking GUI interface with more features. This program would later be known as 'Nubble! Bot'.

Nubble! Bot requires that you input 4 single-digit integers, like in Nubble!. Once you click 'Calculate!', Nubble! Bot calculates all the different kinds of numbers you can make using those 4 integers. The list is automatically sorted in descending order, so the highest solution is always at the top. In addition, you can set a number as a 'Taken Number', which means that solution number won't appear again in further calculations. This correlates to how you can only pick unique solution numbers in a whole game of Nubble!. I am aware that the backgrouds of Nubble! Bot and Connect 4 are the same. They're both Cornflower Blue. I like that colour.
