---
name: "Personal Lists"
dateOfCompletion: "July 02, 2019"
summary: "A web application made with Vue.js and PHP that lets you store ranked lists of various items."

languages: ["JavaScript", "PHP"]
frameworks: ["Vue"]

screenshots: 2

demoUrl: "https://lists.matt-barnes.co.uk"
sourceUrl: "https://git.matt-barnes.co.uk/mb2g17/PersonalLists"
---

This web app lets you rank anything you like into lists. Think of it like MyAnimeList, but more general; you can rank games, books, manga, films, anything you like. It's dynamic, and allows you to save and reload to/from a back-end. Note: going to the releases page of this project will redirect you to my own personal lists.

This application actually has a bit of history; the predecessor of this app was designed specifically for games, and it was fairly crude, mainly due to my inexperience. I designed it to be like MyAnimeList, because that was what I was familiar with. It didn't even use JSON or XML, it used some naive format of storing data. I also wanted to rank more than just games; I wanted to rank films and manga too. After I made this app, I didn't see the point of using MyAnimeList anymore, so I imported my lists over to this. I now have all my lists in one central place!
