---
name: "PhotoCalc"
dateOfCompletion: "August 25, 2016"
summary: "A C# utility that gets a photograph and outputs information about it such as dimensions; conversions and prices for that photograph in different possible sizes."

languages: ["C#"]

screenshots: 2

demoUrl: ""
releaseUrl: "https://git.matt-barnes.co.uk/mb2g17/PhotoCalc/releases"
sourceUrl: "https://git.matt-barnes.co.uk/mb2g17/PhotoCalc"
---

I made this utility in C#. At this current point in time, I'm creating a website for someone (a client, if you will) so that they can publish their photographs online. Throughout this, prices are calculated through sizes and the ratio between the width and height in inches. It can get quite tiresome to do the maths for every individual photo, so in around 4-5 hours I wrote a program to do it for me. The databases within this program follows the pricing of the site [digitalprintdesign.co.uk](http://www.digitalprintdesign.co.uk/), for this is the service my client will use (the site isn't up anymore though). To use this program, you have to import a photograph. When your photograph is imported, the dimensions are calculated in pixels, inches and millimetres. In addition, the size ratio is run through the database, looking for matches. When it finds a match, it'll add that price to the list. If there are no matches, the program will use a regression line to get a bunch of 'odd sizes' and their prices.

This program also supports manual input of sizes in inches, and it supports the calculation of canvas costs. In addition, there is an easy-to-follow tutorial embedded in this program, so anyone can use it! Well... I suppose only me and (maybe) my client will use it. I'm not sure who else would use it. Unless you're a photographer planning to publish photographs using digitalprintdesign, I can't see how this program will be useful to you. But it's my work, and I'm pretty proud of it, so it's going on my portfolio.
