---
name: "PyLex"
dateOfCompletion: "July 17, 2019"
summary: "A python-based Qt-powered program that optimally plays Bookworm Adventures faster than the world record speedrun."

languages: ["Python"]
technologies: ["OpenCV", "Qt"]

screenshots: 2

releaseUrl: "https://git.matt-barnes.co.uk/mb2g17/PyLex/releases"
sourceUrl: "https://git.matt-barnes.co.uk/mb2g17/PyLex"

starred: true
---

PyLex is a program that reads your screen and types in the best words it can make in Bookworm Adventures. It uses dictionaries of words ripped straight from the games' files, therefore making PyLex's word choices optimal.

One day, while on holiday, I decided to make a program that played Bookworm Adventures to pass the time. The first version was made in Java, and was crude and imperfect. About a year or so later, I decided to remake it as my first proper Python project. I kept adding stuff, like themes, custom dictionaries and even support for Google Tesseract (which I scrapped because it didn't work well for this). [With this, I beat Arena mode in less than three minutes](https://youtu.be/g8HonXzjAeQ), which is faster than the current world record speed-run.
