---
name: "Wonderful Block"
dateOfCompletion: "December 02, 2023"
summary: "A free-and-open-source Amazing Brick clone made in Godot v4."

languages: ["GDScript"]
technologies: ["Godot"]
genres: ["Arcade"]

screenshots: 4

demoUrl: "https://demos.matt-barnes.co.uk/wonderful-block/"
releaseUrl: "https://git.matt-barnes.co.uk/mb2g17/WonderfulBlock/releases"
sourceUrl: "https://git.matt-barnes.co.uk/mb2g17/WonderfulBlock"
---

**Wonderful Block** is a free-and-open-source (GPLv3) clone of the mobile game Amazing Brick by Ketchapp, made in Godot v4.1.1. The goal of the game is to reach as high as you can, without bumping into any obstacles such as walls or squares. The game lets you control a wonderful black block by clicking / tapping the left and right sides of the game screen. You can also control the block using the arrow keys, or the WASD keys. The game is available for Windows, Linux, Android, and the Web (HTML5).

I created this project in order to become accustomed to the Godot game engine. I wanted to choose a project that was simple enough to complete in a reasonable span of time, but also complex enough to help me understand the Godot fundamentals well. In addition, I also wanted to create a FOSS clone of Amazing Brick for quite a while, but I never got around to it. In the end, I thought: why not combine these two ideas and create an Amazing Brick clone in Godot?
