---
name: "Bubble Bobble Hero 2 Sprite Ripper"
dateOfCompletion: "February 07, 2021"
summary: "A small Python-based application for ripping sprite assets from the PC game Bubble Bobble Hero 2."

languages: ["Python"]
technologies: ["Unit Testing", "CI / CD", "Qt"]

screenshots: 2

releaseUrl: "https://git.matt-barnes.co.uk/mb2g17/BubbleBobbleHero2SpriteRipper/releases"
sourceUrl: "https://git.matt-barnes.co.uk/mb2g17/BubbleBobbleHero2SpriteRipper"
---

When I was younger, one of my childhood games was Bubble Bobble Hero 2 on PC, by Lonaisoft. Recently, I decided to play it again, and have a look through its assets. In the install directory, I found sprite and palette files that I did not recognise. I opened them with a binary image viewer and a hex editor, and fiddled with different parameters. Before I knew it, I had decoded the byte structure of the sprite and palette files and knew exactly how to derive the images. This program is an automation of what I discovered.

Bubble Bobble Hero 2 Sprite Ripper is an application that imports sprite and palette files from Bubble Bobble Hero 2's install directory, and can display the images, as well as export them as PNG files. It uses technologies such as Qt as a UI framework, and Pillow for image creation.
