---
name: "Flappy Knuckles"
dateOfCompletion: "March 11, 2017"
summary: "A fan-game for Android made in Java and LibGDX that went viral on the Google Play Store."

languages: ["Java"]
frameworks: ["LibGDX"]
genres: ["Arcade"]

screenshots: 2

releaseUrl: "https://mb2g17.github.io/FlappyKnuckles/"
sourceUrl: "https://git.matt-barnes.co.uk/mb2g17/FlappyKnucklesSrc"

starred: true
---

I made this game in Java. It was the weekend, and I was working hard on my A Level Computer Science coursework write-up. Getting a little bit bored, I took a break. Then, I remembered an idea I had earlier that day: what if there was a Flappy Bird clone featuring Knuckles the Echidna with all of his classic quotes? I then got to work and I completed the game that day, late at night.

After releasing it on the Play Store, it started gaining downloads. People eventually started making YouTube videos about it, [such as this one](https://www.youtube.com/watch?v=Gw1VMdTwzPE). At one point, [Neb Comics](https://www.nebcomics.com/) played my game and got in touch with me about a game idea they had. [Someone even drew fan-art of the game](https://www.deviantart.com/x-silverlining-x/art/Energy-708003627).

If you've played Flappy Bird, you'll know what to expect. To play, you tap the screen to make Knuckles fly upwards. You have to time your taps to guide Knuckles through the pipes. Every time you pass through a pair of pipes, you get a point. When you hit a pipe or land on the ground, you lose. There is a high-score system which is stored locally. I know that Knuckles doesn't canonically fly like this, but I don't really care.
