---
name: "Gnummikub"
dateOfCompletion: "January 07, 2022"
summary: "A free-and-open-source implementation of Rummikub as an online multiplayer game."

languages: ["Go", "TypeScript"]
frameworks: ["Svelte"]
technologies: ["Unit Testing", "CI / CD"]
genres: ["Multiplayer"]

screenshots: 4

sourceUrl: "https://git.matt-barnes.co.uk/mb2g17/gnummikub"
---

[Rummikub](https://en.wikipedia.org/wiki/Rummikub) is a board game that I had been playing since I was little. Me and my friends would often play the online version of Rummikub, which is proprietary. After a while, I had a thought: is there an open-source Rummikub implementation we could host ourselves and play online? After searching online, I found no such thing.

This project is that idea brought to life: users can host a Gnummikub server, and connect to it through the client. In-game, players can play Rummikub, chat, send messages, and send emotes. At the time of writing this, it is the only free-and-open-source Rummikub online game implementation. To learn how to set up your own Gnummikub game, [check out the wiki page](https://git.matt-barnes.co.uk/mb2g17/gnummikub/wiki/Setting-up-Gnummikub).

This project also served as a learning process for me, as this is the first project of mine that makes use of the Go language and Svelte front-end framework.
