---
name: "M^2"
dateOfCompletion: "May 08, 2019"
summary: "A small programming language written in Haskell for working with integer streams."

languages: ["Haskell"]
technologies: ["Unit Testing"]

screenshots: 2

demoUrl: ""
releaseUrl: "https://git.matt-barnes.co.uk/mb2g17/M2/releases"
sourceUrl: "https://git.matt-barnes.co.uk/mb2g17/M2"
---

In my second year and second semester of Uni, me and a friend were tasked with writing a programming language to operate with integer streams. The result of that coursework was M<sup>2</sup>: a JavaScript-like language for manipulating integers and streams of integers (which are really just glorified lists).

This project was written in Haskell using the tools Alex and Happy, and there are sample programs in the `manual/programs` directory. M<sup>2</sup> is proven to be Turing Complete, as one of the sample programs is a Turing Machine simulator! There are other sample programs too, such as quicksort, monads, and checking for primes. The repository also contains a Sublime Text syntax file for our language.
