---
name: "Periodic Invaders"
dateOfCompletion: "July 14, 2014"
summary: "A C++ quiz game that asks GCSE Science questions while merging elements from Space Invaders and board games."

languages: ["C++"]
technologies: ["SDL"]
genres: ["Educational"]

screenshots: 2

releaseUrl: "https://git.matt-barnes.co.uk/mb2g17/PeriodicInvaders/releases"
sourceUrl: "https://git.matt-barnes.co.uk/mb2g17/PeriodicInvaders"
---

This is an educational quiz game I made in C++ with the SDL library. Two friends of mine asked me to help create a game for their science class. The game was meant to quiz the class on certain physics/chemistry topics, of which were provided to me by my friends (in this sense, clients). My friends came up with the idea of a Space Invaders clone merged with a quiz and a board game involving dice. Being the programmer, I had to go along with it and program it fully.

Everything works well, except the ending; there is a chance that it may crash if you click a lot during the text dialog. This is because my program pauses the main thread while you read the text and only updates a second later, leading the OS to think that the program has crashed. I never quite fixed that problem... Needless to say, with my current level of skill in making games, this problem could be averted if rewritten. Unfortunately, I was still relatively new to graphical games in C++, so the quality of this game isn't perfect, but it's still very playable and great for GCSE Science revision!
