---
name: "SUVAT Calculator"
dateOfCompletion: "September 16, 2016"
summary: "An online utility made in JavaScript that allows the user to input three factors of projectile motion and will calculate the other two using SUVAT equations. Useful for Physics and Maths students (like me)."

languages: ["JavaScript"]
technologies: ["jQuery"]

screenshots: 2

demoUrl: "https://demos.matt-barnes.co.uk/suvat-calculator/"
sourceUrl: "https://git.matt-barnes.co.uk/mb2g17/SUVAT-Calculator"
---

I made this utility in JavaScript with jQuery. I created this to make working with SUVATs a lot easier, which I have to do a lot when making games that involve accelerated motion. As any A Level Maths/Physics student should tell you, SUVAT equations are a range of 5 equations used for calculating factors of projectile motion. They are used for calculating initial velocity, final velocity, acceleration, change of time and displacement depending on the three factors you know already.

For example, if I knew the acceleration, displacement and initial velocity of a particle, I could calculate the final velocity and change of time of the particle's movement, which is exactly what this utility does. In addition to plugging in values to equations, it also shows you how it got to its answer by taking an existing SUVAT equation, rearranging it and showing you the rearranged equation. Furthermore, answers are displayed in the text boxes in red font. The black font represents input and the red font represents output. If you simply need to use SUVATs quickly without having to waste paper doing it yourself, this is for you!
