---
name: "Yoshi vs Windows: Unity Edition"
dateOfCompletion: "December 10, 2019"
summary: "A restoration project / remake of the fan-game Yoshi vs Windows made in Unity."

languages: ["C#", "Lua"]
technologies: ["Unity"]
genres: ["Platformer"]

screenshots: 2

releaseUrl: "https://git.matt-barnes.co.uk/mb2g17/YoshiVsWindowsUnity/releases"
sourceUrl: "https://git.matt-barnes.co.uk/mb2g17/YoshiVsWindowsUnity"
---

If you've read the description for the Furghball's PC Battle project, you'll know that Yoshi vs Windows was a childhood game of mine. One day, I decided to revisit it and play it for a while. The game was outdated (it could hardly play on my computer) and the controls were mediocre, but the nostalgia was there. I thought it would be cool to create a test demo of a Yoshi vs Windows recreation in Unity. I spent the whole night, staying up until around 7am working on a demo, and I ended up with something I really liked. I continued and adapted the first level. Then I did a few more levels, and I kept going until I eventually recreated the whole game and more.

This project pays a lot of homage to the original game. There are two sets of controls: the "modern" controls, which can be played with one hand, and the "classic" controls, which are the controls of the original game. Along with the same levels as the original game, there are loads of extras, such as a true ending, difficulties, extra levels, cheat codes, menus, files, custom Yoshi colours and extra cutscenes. The normal ending is the same ending as the original game, and the true ending is an extra ending I created.
