/** @type {import('tailwindcss').Config} */
export default {
  content: ["./src/**/*.{html,js,svelte,ts}"],
  theme: {
    extend: {},
  },
  plugins: [
    require("@tailwindcss/typography"),
    require("daisyui"),
  ],
  daisyui: {
    themes: [
    {
        'portfolio': {
            ...require('daisyui/src/colors/themes')['[data-theme=black]'],

            'base-100': '#121212',
            'base-200': '#272727',
            'base-300': '#373737',
            // 'base-content': '#FFF',

            // 'fontFamily': 'Roboto, sans-serif',
        },
    }],
  },
}

